global:
  storageClass: "azure-disk-std-lrs"
namespace: "freeleaps-alpha"
replicaCount: 1
strategy:
  type: "RollingUpdate"
  rollingUpdate:
    maxSurge: "100%"
    maxUnavailable: 0
clusterDomain: freeleaps.cluster
image:
  repository: gitea/gitea
  rootless: true
podSecurityContext:
  fsGroup: 1000
containerSecurityContext: {}
service:
  http:
    type: ClusterIP
    port: 3000
  ssh:
    type: ClusterIP
    port: 22
    clusterIP: None
ingress:
  enabled: true
  className: nginx
  hosts:
    - host: alpha.gitea.freeleaps.mathmast.com
      paths:
        - path: /
          pathType: Prefix
  tls: 
    - secretName: alpha.gitea.freeleaps.mathmast.com-cert
      hosts:
        - alpha.gitea.freeleaps.mathmast.com
  apiVersion: networking.k8s.io/v1
deployment:
  terminationGracePeriodSeconds: 60
persistence:
  enabled: true
  create: true
  mount: true
  claimName: freeleaps-alpha-gitea-shared-storage
  size: 8Gi
  accessModes:
    - ReadWriteOnce
  annotations:
    helm.sh/resource-policy: keep
initContainers:
  resources:
    limits: {}
    requests:
      cpu: 100m
      memory: 128Mi
gitea:
  admin:
    username: freeleaps
    password: r8sA8CPHD9!bt6d
    email: "devops@freeleaps.com"
    passwordMode: keepUpdated
  config:
    server:
      SSH_PORT: 22 # rootful image
      SSH_LISTEN_PORT: 2222 # rootless image
  ssh:
    logLevel: "INFO"
  livenessProbe:
    enabled: true
    tcpSocket:
      port: http
    initialDelaySeconds: 200
    timeoutSeconds: 1
    periodSeconds: 10
    successThreshold: 1
    failureThreshold: 10
  readinessProbe:
    enabled: true
    tcpSocket:
      port: http
    initialDelaySeconds: 5
    timeoutSeconds: 1
    periodSeconds: 10
    successThreshold: 1
    failureThreshold: 3
  startupProbe:
    enabled: false
    tcpSocket:
      port: http
    initialDelaySeconds: 60
    timeoutSeconds: 1
    periodSeconds: 10
    successThreshold: 1
    failureThreshold: 10
redis-cluster:
  enabled: false
redis:
  enabled: true
  architecture: standalone
  global:
    redis:
      password: r8sA8CPHD9!bt6d
  master:
    count: 1
postgresql-ha:
  enabled: false
postgresql:
  enabled: true
  global:
    postgresql:
      auth:
        password: r8sA8CPHD9!bt6d
        database: gitea
        username: gitea
      service:
        ports:
          postgresql: 5432
  primary:
    persistence:
      size: 5Gi
  volumePermissions:
    enabled: true
checkDeprecation: true
test:
  enabled: true
  image:
    name: busybox
    tag: latest